<?php
/*
+------------------------------------------------------------------------------+
|     e107 Mobile  by Martinj
|	29th November 2008
|
|	For the e107 website system visit http://e107.org
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
|	plugin skeleton by nlstart
+------------------------------------------------------------------------------+
*/

require_once("../../class2.php");
require_once(e_ADMIN."auth.php");

if (!getperms("P")) {
	header("location:".e_BASE."index.php");
	exit;
}


// If the submit button is hit; update the settings in table core, record SitePrefs
// Initial default values of the preferences are set by plugin.php at $eplug_prefs
if (isset($_POST['update_prefs'])) {
	
	$pref['mobile_active']        = $tp->toDB($_POST['active']);
	$pref['mobile_img']  = $tp->toDB($_POST['images']);
	save_prefs();
	$message = " ";
}
// displays the update message to confirm data is stored in database
if (isset($message)) {
	$ns->tablerender("", "<div style='text-align:center'><b>".$message."</b></div>");
}

if ($pref['mobile_active']=="true")
	$checked_active='checked';
	else
	$checked_active="";

if ($pref['mobile_img']=="true")
	$checked_images='checked';
	else
	$checked_images="";

// The following form output will be put into variable $text.
// The form will call admin_config_edit for further actions.
// All language dependent text are referring to the language file.
// E.g. .nextmeeting_CONF_01. will retrieve the accompanying text.
// Remember NOT to put comments in the text as they will be published.
// In the form data is retrieved from table core, record SitePrefs using $pref
$text .= '
<div style="text-align:center">
<form name="settings_form" action="'.e_SELF.'" method="post">
	<fieldset>
		<legend>
			Update e107 Mobile settings. 
		</legend>
		<table border="0" class="tborder" cellspacing="10">
		
			<tr>
				<td class="tborder" style="width: 20%">
					<span class="smalltext" style="font-weight: bold">
						 
					</span>
				</td>
				<td class="tborder" style="width: 60%">
					<input type="checkbox" name="active" value="true" '.$checked_active.' />
				</td>
			</tr>
			
			<tr>
				<td class="tborder" style="width: 20%">
					<span class="smalltext" style="font-weight: bold">
						 
					</span>
				</td>
				<td class="tborder" style="width: 60%">
					<input type="checkbox" name="images" value="true" '.$checked_images.' />
				</td>
			</tr>
			
		</table>
		<a href="http://www.google.com/gwt/n?u='.SITEURL.'" target="_blank" >  .</a>
	</fieldset>
	<br />
	<input class="button" type="submit" name="update_prefs" value=" ">
	<br />
</form>
</div>
';

// Display the $text string into a rendered table with a caption from the language file
$caption = " e107 Mobile";
$ns->tablerender($caption, $text);

require_once(e_ADMIN."footer.php");
?>